Bug 244219 - devel/py-buildbot: Update to 2.7.0
Summary: devel/py-buildbot: Update to 2.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-18 22:59 UTC by ari
Modified: 2020-03-23 05:15 UTC (History)
1 user (show)

See Also:
koobs: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ari 2020-02-18 22:59:31 UTC
The upgrade was pretty simple:

--- Makefile.orig	2019-06-01 23:58:51.000000000 +1000
+++ Makefile	2020-02-19 09:45:00.297956000 +1100
@@ -2,7 +2,7 @@
 # $FreeBSD: head/devel/py-buildbot/Makefile 503238 2019-06-01 13:58:51Z koobs $

 PORTNAME=	buildbot
-PORTVERSION=	2.3.1
+PORTVERSION=	2.6.0
 CATEGORIES=	devel python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -29,8 +29,8 @@
 		${PYTHON_PKGNAMEPREFIX}boto3>0:www/py-boto3@${PY_FLAVOR} \
 		${PYTHON_PKGNAMEPREFIX}mock>=2.0.0:devel/py-mock@${PY_FLAVOR} \
 		${PYTHON_PKGNAMEPREFIX}lz4>=0:archivers/py-lz4@${PY_FLAVOR} \
-		${PYTHON_PKGNAMEPREFIX}buildbot-pkg>0:devel/py-buildbot-pkg@${PY_FLAVOR}
-# to be ported	${PYTHON_PKGNAMEPREFIX}pyjade>0:www/py-pyjade@${PY_FLAVOR}
+		${PYTHON_PKGNAMEPREFIX}buildbot-pkg>0:devel/py-buildbot-pkg@${PY_FLAVOR} \
+                ${PYTHON_PKGNAMEPREFIX}pyjade>0:www/py-pyjade@${PY_FLAVOR}
 # to be ported  ${PYTHON_PKGNAMEPREFIX}moto>0:www/py-moto@${PY_FLAVOR}
 # to be ported	${PYTHON_PKGNAMEPREFIX}parameterized>0:devel/py-parametrized@${PY_FLAVOR}

and I removed files/patch-setup.py which is no longer needed.

Then ran `make makesum` and built as normal from there.



Also, what do you think about adding

    buildbot upgrade-master ${buildbot_basedir}

to buildbot_prestart() in the rc.d script? I don't think it hurts if it has nothing to do.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-22 07:57:42 UTC
All devel/buildbot* ports need updating
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-22 11:02:20 UTC
devel/py-parametrized port is needed for tests (porting it now)
Comment 3 commit-hook freebsd_committer 2020-03-23 02:06:05 UTC
A commit references this bug:

Author: koobs
Date: Mon Mar 23 02:05:13 UTC 2020
New revision: 528944
URL: https://svnweb.freebsd.org/changeset/ports/528944

Log:
  [NEW] devel/py-parameterized: Parameterized testing with any Python test framework

  Parameterized testing in Python sucks.

  parameterized fixes that. For everything. Parameterized testing for nose,
  parameterized testing for py.test, parameterized testing for unittest.

  WWW: https://github.com/wolever/parameterized

  PR:	244219

Changes:
  head/devel/Makefile
  head/devel/py-parameterized/
  head/devel/py-parameterized/Makefile
  head/devel/py-parameterized/distinfo
  head/devel/py-parameterized/pkg-descr
Comment 4 commit-hook freebsd_committer 2020-03-23 05:13:17 UTC
A commit references this bug:

Author: koobs
Date: Mon Mar 23 05:12:45 UTC 2020
New revision: 528949
URL: https://svnweb.freebsd.org/changeset/ports/528949

Log:
  devel/py-buildbot*: Update to 2.7.0

  devel/py-buildbot:

    - Remove setup.py patch (upstreamed)
    - Update test target (setup.py test is going away :|)

  Changelog:

    https://docs.buildbot.net/current/relnotes/index.html#buildbot-2-7-0-2020-02-27

  PR:	244219

Changes:
  head/devel/py-buildbot/Makefile
  head/devel/py-buildbot/distinfo
  head/devel/py-buildbot/files/patch-setup.py
  head/devel/py-buildbot-console-view/Makefile
  head/devel/py-buildbot-console-view/distinfo
  head/devel/py-buildbot-grid-view/Makefile
  head/devel/py-buildbot-grid-view/distinfo
  head/devel/py-buildbot-pkg/Makefile
  head/devel/py-buildbot-pkg/distinfo
  head/devel/py-buildbot-waterfall-view/Makefile
  head/devel/py-buildbot-waterfall-view/distinfo
  head/devel/py-buildbot-worker/Makefile
  head/devel/py-buildbot-worker/distinfo
  head/devel/py-buildbot-www/Makefile
  head/devel/py-buildbot-www/distinfo
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-23 05:15:05 UTC
Committed with additional port updates. Thank you for the report and patch Ari!